apiVersion: networking.k8s.io/v1
kind: NetworkPolicy
metadata:
  name: api-network-policy
  namespace: cldinf-app
spec:
  podSelector:
    matchLabels:
      app: cldinf-api
  policyTypes:
  - Ingress
  - Egress
  ingress:
  - from:
    - namespaceSelector:
        matchLabels:
          namespace: cldinf-app
    - podSelector:
        matchLabels:
          app: cldinf-web
    ports:
    - protocol: TCP
      port: 8000
  egress:
  - to:
    - namespaceSelector:
        matchLabels:
          namespace: cldinf-app
    - podSelector:
        matchLabels:
          app: cldinf-db
    ports:
    - protocol: TCP
      port: 5432